/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.aspects.versioned;

/**
 *  Manages transactional versions of an object
 *  versioned object must be Serializable or Cloneable
 *
 *  @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 *  @version $Revision: 1.1.4.4 $
 */
public class OptimisticLockFailure extends RuntimeException
{
   private static final long serialVersionUID = 703677881732773399L;

   public OptimisticLockFailure()
   {
      super("Optimistic lock failed.  Current version is newer than old");
   }

   public OptimisticLockFailure(String msg)
   {
      super(msg);
   }
}
